Name: quanta
Summary: Powerful HTML editor for KDE
Version: 2.0pr1
Release: 3
Epoch: 1
Source: http://download.sourceforge.net/quanta/%{name}-2.0-pr1.tar.bz2
Source1: http://download.sourceforge.net/quanta/css.tar.bz2
Source2: http://download.sourceforge.net/quanta/html.tar.bz2
Source3: http://download.sourceforge.net/quanta/php.tar.bz2
Source4: http://download.sourceforge.net/quanta/javascript.tar.bz2
URL: http://quanta.sourceforge.net/
License: GPL
Group: Applications/Editors
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdelibs >= 2.1
BuildPrereq: qt-devel >= 2.2.2, kdelibs-devel >= 2.1
Prefix: /usr
Obsoletes: WebMaker
Excludearch: sparc

%description
Quanta Plus is an HTML editor for the K Desktop Environment.
This program is designed for quick web development! Quanta is rapidly becoming
a mature editor with a number of great features. Its objective is to
produce a complete web development environment for active development with a
focus on supporting professional level development.
This means full HTML 4.0 support including cascading style sheets and lots of
time saving features.
Also support is planned for Perl, Javascript and PHP.

%prep
%setup -q -n %{name} -a 1 -a 2 -a 3 -a 4

%build
QTDIR="" && . /etc/profile.d/qt.sh
test -f Makefile.cvs && make -f Makefile.cvs
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
make -j $CPUS CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
for i in css html php javascript ; do
	cd $i
 ./install.sh <<EOF
$RPM_BUILD_ROOT/usr/share/apps/quanta/doc
EOF
	cd ..
	rm -rf $i
done

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}

%files -f ../file.list.%{name}

%changelog
* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.opr1

* Wed Feb  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to get rid of libkdefakes.so.0 requirement

* Thu Jan  4 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial build, obsoletes WebMaker
